package de.hdm_stuttgart.mi.sd1.aufgabe1;


/**
 * Spezielle Berechnungsmethoden.
 */
public class _2_MathHelper {

  /**
   * <p>Die Summe aller ungeraden Werte zweier Argumente. Gerade Werte werden
   * bei der Summenbildung ignoriert. Beispiele:</p>
   *
   * <ul>
   *   <li>summeUngeraderWerte(3, 4) ergibt 3, weil 4 als gerader Wert ignoriert wird.</li>
   *   <li>summeUngeraderWerte(1, 5) ergibt 1 + 5 == 6, da beide Werte ungerade sind.</li>
   *   <li>summeUngeraderWerte(-4, 10) ergibt 0, weil beide Werte gerade sind und somit ignoriert werden.</li>
   *
   * </ul>
   *
   * @param a Erster Wert.
   * @param b Zweiter Wert
   * @return Die Summe aller ungeraden Werte beider Argumente.
   */
  static public int summeUngeraderWerte(final int a, final int b) {
    /* Tip: Der »%« Operator ist Ihr Freund! */
    return 12345; // TODO: Implementiere mich!
  }

  /**
   * <p>Die harmonische Reihe \(h(n)\) zu einer natürlichen Zahl \(0 &lt; n\) ist definiert als:</p>
   *
   * <p>\[h(\color{red}{n}) = {1\over 1} + {1\over 2} + {1\over 3} + \dots + {1\over \color{red}{n}}\]</p>
   *
   * <p>Also beispielsweise:</p>
   *
   * \[\begin{array}{l}
   * h(\color{red}{2}) = {1\over 1} + {1\over \color{red}{2}} \\
   *
   * h(\color{red}{5}) = {1\over 1} + {1\over 2} + {1\over 3}  + {1\over 4} + {1\over \color{red}{5}}
   * \end{array}
   * \]
   *
   * @param n Anzahl der Terme der harmonischen Reihe, mindestens 1.
   * @return Der Wert \(h(n)\).
   */
  static public double harmonisch(final int n) {
    /* Tip: Beachten Sie mögliche Probleme bei der Division zweier int Werte. */
    return 12345; // TODO: Implementiere mich!
  }
}
