package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1._1_EqualValues;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@SuppressWarnings({"UnusedDeclaration"})
public class Test_1_EqualValues extends ExaminationTestDefaults {

  @Test @Marking(points = 5) public void test_100() {
    Assert.assertTrue(_1_EqualValues.equal(2, 2, 2));
    Assert.assertFalse(_1_EqualValues.equal(-4, -5, -6));
  }

  @Test @Marking(points = 4) public void test_200() {
    Assert.assertTrue(_1_EqualValues.equal(-1234, -1234, -1234));
    Assert.assertFalse(_1_EqualValues.equal(4567, 4567, -1111));
  }

  @Test @Marking(points = 4) public void test_300() {
    Assert.assertTrue(_1_EqualValues.equal(77, 77, 77));
    Assert.assertFalse(_1_EqualValues.equal(2000, -111, 2000));
  }

  @Test @Marking(points = 4) public void test_400() {
    Assert.assertTrue(_1_EqualValues.equal(0, 0, 0));
    Assert.assertFalse(_1_EqualValues.equal(22, 0, 0));
  }
}
