package de.hdm_stuttgart.mi.sd1.task1;

/**
 * <p>Estimating triangle edge lengths.</p>
 */
public class _3_Triangle {
    /**
     * <p>Decide whether three straight lines of given positive length values can possibly be arranged
     * into a triangle.</p>
     *
     * <p>Consider the following example triangle:</p>
     *
     * <img src="doc-files/triangle.svg" alt="Thre lines forming a triangle?">
     *
     * <p>In this example the three lines' lengths <code style="color:red">a</code>, <code style="color:green">b</code>
     * and <code style="color:blue">c</code> may form a triangle. On contrary we consider:</p>
     *
     * <img src="doc-files/noTriangle.svg" alt="Three lines not forming a triangle">
     *
     * <p>In this second example however <code style="color:green">b</code> is larger than
     * <code style="color:red">a</code> + <code style="color:blue">c</code>. The three lines thus cannot be
     * arranged into a triangle.</p>
     *
     * <p>Remark: Even if  <code style="color:green">b</code> = <code style="color:red">a</code> +
     *     <code style="color:blue">c</code> holds the result would just be a straight line rather than a proper
     *     triangle.</p>
     *
     * @param a First length of a possible triangle
     * @param b Second length of a possible triangle
     * @param c Third length of a possible triangle
     * @return <code>true</code> if the three lines' lengths may be arranged into a triangle,
     * <code>false</code> otherwise.
     *
     */
    static public boolean isTriangleCompatible(final int a, final int b, final int c) {
        return true; // TODO: Implement me correctly
    }

    private _3_Triangle(){/* Ignore me: Suppressing default constructor javadoc generation:
                                    javadoc does not include private constructors by default */}
}
