package de.hdm_stuttgart.mi.sd1.test;

import de.hdm_stuttgart.mi.exam.unitmarking.RunTests;
import de.hdm_stuttgart.mi.sd1.test.aufgabe1.*;
import de.hdm_stuttgart.mi.sd1.test.aufgabe2.Test_Konto;

/**
 * On execution both reached and reachable points will be displayed
 *
 */
public class ShowReachedPoints {

   /**
    * Execution reveals the number of reached points.
    *
    * @param args Unused
    */
   public static void main(String[] args) {

      RunTests.exec(
              "Aufgabe 1",
              Test_1_Differenzen.class,
              Test_2_Enthalten.class,
              Test_3_Gaspreise.class,
              Test_4_InternetShop.class,
              Test_5_Vielfache.class);

      RunTests.exec(
              "Aufgabe 2",
              Test_Konto.class);
   }
}
