package de.hdm_stuttgart.mi.sd1.task1;

import de.hdm_stuttgart.mi.sd1.task1.model.Employee;

/**
 * <p>A company's salaries.</p>
 */
public class _4_Salary {
    /**
     * <p>Compute an employee's salary.</p>
     *
     * <p>A company pays its employees according to the following rule:</p>
     *
     * <p>2000€ + 200€ * numberOfKids + 50€ * numberOfYearsEmployed</p>
     *
     * <p>An employee for example being employed for 10 years and having two kids will earn
     * 2000€ + 200€ * 2 + 50€ * 10 = 2900€.</p>
     *
     * @param numberOfKids The employee's number of kids.
     * @param yearsEmployed The number of years being employed.
     * @return The salary according to the above stated rule.
     */
    static public int getSalary(final int numberOfKids, final int yearsEmployed) {
        return 42; //  TODO: Implement me correctly
    }

    static private int getSalary(final Employee employee) {
        return 42; // TODO: Implement me correctly
    }

    /**
     * <p>Limiting salaries in case of bad financial times.</p>
     *
     * <p>An employee's regular salary is being defined by {@link #getSalary(int, int)}. Unfortunately sometimes
     * the summ of all salaries exceeds the company's financial capabilities.</p>
     *
     * <p>We consider an example of two employees having salaries of 2000€ and 4000€ respectively. The sum of their
     * salaries being 6000 is supposed to exceed the company's limit of 3000 for all salaries. Both salaries will
     * be cut by the same fraction of <code style="color:red">3000. / 6000</code>  using {@link Math#round(double)}
     * if so required. The employees'
     * effective salaries will thus be cut to <code>2000 * <span style="color:red">3000. / 6000</span> == 1000</code> and
     * <code>4000 * <span style="color:red">3000. / 6000</span> == 2000</code> respectively. In the given example
     * rounding is not being required.</p>
     *
     * @param overallSalaryLimit The company's limit for the sum of all salary payments.
     * @param employees An array of employees. Depending on <code>limit</code> their effective salaries may be reduced.
     *
     * <section class="implementationHints">
     *    <h4 class="implementationHints">Hints:</h4>
     *    <ol>
     *        <li>You more than likely want to implement {@link #getSalary(int, int)} before working on this one.</li>
     *
     *        <li>As you notice this method does not return anything. Your solution is supposed to modify the
     *        {@link Employee} instances' salaries being passed by the <code>Employee[]</code> array.</li>
     *
     *        <li>Regarding both fractions and type conversions ({@link Math#round(double)} returns <code>long</code>)
     *                  your solution may require casts.</li>
     *    </ol>
     * </section>
     */
    static public void setSalaries(final int overallSalaryLimit, final Employee[] employees) {
        // TODO: Implement me correctly
    }

    private _4_Salary(){/* Ignore me: Suppressing default constructor javadoc generation:
                                    javadoc does not include private constructors by default */}
}
