package de.hdm_stuttgart.mi.sd1.task1;

/**
 * <p>Irrigation scheduling</p>
 */
public class B_Irrigation {

    /**
     *
     * <p>Controlling irrigation times.</p>
     *
     * <p>A farmer intends to start irrigating her plants within two periods in the morning and afternoon:</p>
     *
     * <ul>
     *     <li>from 5:00 to 6:30 (inclusive)</li>
     *     <li>from 21:30 to 22:30 (inclusive)</li>
     * </ul>
     *
     * <section class="implementationHints">
     *     <h4 class="implementationHints">Hint:</h4>
     *
     * <p>A full day has got \( 24 \cdot 60 = 1440 \) minutes. You may convert all time data like e.g.
     * <span style="color:red;">21</span>:<span style="color:blue;">47</span> to minutes
     * using \( \textcolor{red}{21} \cdot 60 + \textcolor{blue}{47} = 1307 \) minutes making decisions based on the
     * above described time periods easier.</p>
     *
     * </section>
     *
     * @param hour Current hour e.g. <span style="color:red;">22</span> in <span style="color:red;">22</span>:35.
     * @param minute Current minute e.g. <span style="color:red;">35</span> in 22:<span style="color:red;">35</span>.
     * @return <code>true</code> if irrigation is intended to be active, <code>false</code> otherwise.
     */
    public static boolean irrigationIsActive(final int hour, final int minute) {
        return false; // TODO: Implement me correctly
    }

    private B_Irrigation(){/* Suppressing constructor Javadoc HTML generation */}
}
